Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
webcam::Channel Interface Reference

The channel interface. More...

`import "WebcamChannel.idl";`

## Public Member Functions
string | getClientType ()
| Retrieve the channel type.
Webcam | getWebcam ()
| Retrieve the webcam.
boolean | isAvailable ()
| Determine whether the channel is available.
void | release ()
| Releases the channel to allow lower proritized clients to view an image otherwise the channel expires when it is unused (neither a image related method nor "isAvailable" is called) for 20 seconds.
int | captureImage (out Image image)
| Retrieve a image.
int | triggerCapture (out string captureToken)
| Triggers the capture process to the temporary folder and returns a capture token to view them.

## Public Attributes
constant int | NO_ERROR = 0
| Error codes.
constant int | ERR_NOT_AVAILABLE = 2
| Channel is not available.
constant int | ERR_NO_SUCH_OBJECT = 3
| Requested object does not exist.

## Detailed Description

The channel interface.

Definition at line 12 of file WebcamChannel.idl.

## Member Function Documentation

## ◆ captureImage()

int webcam::Channel::captureImage | ( | out Image | image | ) |

Retrieve a image.

Parameters

  image | Result: the image

Returns
  NO_ERROR on success
  ERR_NOT_AVAILABLE this channel is temporarily paused, because all view ports are currently used by higher prioritized events
  ERR_NO_SUCH_OBJECT the viewed webcam was detached

## ◆ getClientType()

string webcam::Channel::getClientType | ( |  | ) |

Retrieve the channel type.

Returns
  the client type

## ◆ getWebcam()

Webcam webcam::Channel::getWebcam | ( |  | ) |

Retrieve the webcam.

Returns
  the webcam

## ◆ isAvailable()

boolean webcam::Channel::isAvailable | ( |  | ) |

Determine whether the channel is available.

A channel may become unavailable when higher prioritized viewers are active.

Returns
  true if the channel is available, false otherwise

## ◆ triggerCapture()

int webcam::Channel::triggerCapture | ( | out string | captureToken | ) |

Triggers the capture process to the temporary folder and returns a capture token to view them.

The capture token is valid for 9 seconds and needs to be refreshed when, or even better before the old token expires.

Parameters

  captureToken | Result: a new captureToken

Returns
  NO_ERROR on success
  ERR_NOT_AVAILABLE this channel is temporarily paused, because all view ports are currently used by higher prioritized events
  ERR_NO_SUCH_OBJECT the viewed webcam was detached

## Member Data Documentation

## ◆ ERR_NO_SUCH_OBJECT

constant int webcam::Channel::ERR_NO_SUCH_OBJECT = 3

Requested object does not exist.

Definition at line 18 of file WebcamChannel.idl.

## ◆ ERR_NOT_AVAILABLE

constant int webcam::Channel::ERR_NOT_AVAILABLE = 2

Channel is not available.

Definition at line 17 of file WebcamChannel.idl.

## ◆ NO_ERROR

constant int webcam::Channel::NO_ERROR = 0

Error codes.

Operation successful, no error

Definition at line 16 of file WebcamChannel.idl.

The documentation for this interface was generated from the following file:

- WebcamChannel.idl